Bug 1132022 - CVE-2014-3603 opensaml-java: OpenSAML Java: HTTPS Connections Via HTTP Resources Do Not Perform Hostname Verification [fedora-all]
Summary: CVE-2014-3603 opensaml-java: OpenSAML Java: HTTPS Connections Via HTTP Resour...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opensaml-java
Version: 22
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro, fst_ping=3
Depends On: 1219740
Blocks: CVE-2014-3603
TreeView+ depends on / blocked
 
Reported: 2014-08-20 14:14 UTC by Arun Babu Neelicattu
Modified: 2015-08-07 13:05 UTC (History)
4 users (show)

Fixed In Version: opensaml-java-2.5.3-9.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-07 13:04:28 UTC


Attachments (Terms of Use)

Description Arun Babu Neelicattu 2014-08-20 14:14:51 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Arun Babu Neelicattu 2014-08-20 14:14:58 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1131823,1132022

# Description of your update
notes=Security fix for CVE-2014-3603

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1131823,1132022

Comment 2 David A. Cafaro 2014-09-27 19:49:23 UTC
So the patch is committed for OpenSAML 2.6.2:

http://svn.shibboleth.net/view/java-opensaml2/branches/REL_2/src/main/java/org/opensaml/DefaultBootstrap.java?r1=1622&r2=1666&pathrev=1666

Can it be cleanly backported to Fedora 19 Version 2.5.3-4, Fedora 20 Version 2.5.3-6, and Fedora 21 Version 2.5.3-7? 

Likely one backport should work for all three given the small release differences.  Changes in the patch don't look huge.

Comment 4 David A. Cafaro 2015-04-06 20:36:43 UTC
Were are still at 2.5.3-7 for this package and in need to an update to patch this critical vulnerability.

Comment 5 Eric Christensen 2015-04-23 13:10:30 UTC
Can an update be pushed for this package?

Comment 6 David A. Cafaro 2015-04-29 12:33:25 UTC
Still need a patch for this, any updates?

Comment 7 Marek Goldmann 2015-04-29 14:18:42 UTC
This is a major bump, I can do this for Rawhide, but the most important package that requires opensaml-java is wildfly, which requires the older version, even in the newest version where I'm upgrading.

I do not have much time to look into it these days though. Feel free to submit a patch against Rawhide, this would help.

Comment 8 David A. Cafaro 2015-05-06 17:03:58 UTC
(In reply to Marek Goldmann from comment #7)
> This is a major bump, I can do this for Rawhide, but the most important
> package that requires opensaml-java is wildfly, which requires the older
> version, even in the newest version where I'm upgrading.
> 
> I do not have much time to look into it these days though. Feel free to
> submit a patch against Rawhide, this would help.

Are you unable to maintain this package going forward?  If so we need to either find a new maintainer or mark it as abandoned.

Comment 9 Marek Goldmann 2015-05-07 07:07:21 UTC
(In reply to David A. Cafaro from comment #8)
> Are you unable to maintain this package going forward?  If so we need to
> either find a new maintainer or mark it as abandoned.

We cannot abandon it, since it's a BR/R for WildFly. I'm maintaining this package because this is a direct dependency of this package. I would be perfectly happy to add someone as a co-maintainer for this package, though.

Comment 10 David A. Cafaro 2015-05-07 12:52:55 UTC
(In reply to Marek Goldmann from comment #9)
> (In reply to David A. Cafaro from comment #8)
> > Are you unable to maintain this package going forward?  If so we need to
> > either find a new maintainer or mark it as abandoned.
> 
> We cannot abandon it, since it's a BR/R for WildFly. I'm maintaining this
> package because this is a direct dependency of this package. I would be
> perfectly happy to add someone as a co-maintainer for this package, though.

I don't want to be harsh, but we can't leave packages in a state where if a user installs them we have given them a security vulnerability.  This package currently has a "high" impact rated security issue.  This is an issue that allows an attacker to circumvent SSL by redirecting a client to another host for a MITM attack while the user believes the connection is trusted and secure.  Kinda breaks the whole idea of opensaml.  If WildFly depends on this security, then WildFly is broken as well when using this package.

You stated you are to busy to maintain this, then please help find a new maintainer or orphan it so others can take over.  If we can not find anyone to maintain and patch critical and important security issues, then maybe we shouldn't be providing the package and letting our users be exposed.

I do not currently use this package or wildfly, I don't have a setup to currently test this or build the patch (patch code for 2.6.2 linked to in my earlier comment).  I don't want to see this package abandoned but I've got a lot of other packages I need to help find patches for as well.  I can't take over maintenance for this, but I also can't leave it hanging around unpatched for nearly a year with no prospects for other issues being fixed.

Comment 11 Marek Goldmann 2015-05-07 14:28:48 UTC
(In reply to David A. Cafaro from comment #10)
> (In reply to Marek Goldmann from comment #9)
> > (In reply to David A. Cafaro from comment #8)
> > > Are you unable to maintain this package going forward?  If so we need to
> > > either find a new maintainer or mark it as abandoned.
> > 
> > We cannot abandon it, since it's a BR/R for WildFly. I'm maintaining this
> > package because this is a direct dependency of this package. I would be
> > perfectly happy to add someone as a co-maintainer for this package, though.
> 
> I don't want to be harsh, but we can't leave packages in a state where if a
> user installs them we have given them a security vulnerability.  This
> package currently has a "high" impact rated security issue.

I understand your POV.

I started looking at the patch and ways to make it available in the Fedora packages.

Comment 12 Marek Goldmann 2015-05-08 11:14:39 UTC
I backported that patch to 2.5.3, updated Rawhide with opensaml-java-2.5.3-8.fc23. I'll work on making the change available for other releases too. Can you confirm that my change was sufficient?

Comment 13 David A. Cafaro 2015-05-08 13:58:30 UTC
Thanks for getting it back ported and working on it, much appreciated.

I took a look at your patch here:

http://pkgs.fedoraproject.org/cgit/opensaml-java.git/tree/rhbz1132022.patch

And that appears to cover what was reported upstream.

Thanks.

Comment 14 David A. Cafaro 2015-05-28 01:21:47 UTC
How is the status going on this?  I haven't seen any additional movement with packages.  Thanks.

Comment 15 Fedora End Of Life 2015-05-29 12:41:16 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Eric Christensen 2015-05-29 18:31:27 UTC
This has been patched in F23 but still vulnerabile F20-22.

Comment 17 David A. Cafaro 2015-06-04 13:52:43 UTC
We still need updates for Fedora 21 and 22.  Any update?

Comment 18 David A. Cafaro 2015-06-11 01:46:09 UTC
Been another week, are you working on it?

Comment 19 Marek Goldmann 2015-06-16 10:32:27 UTC
No, I wasn't working on it. This update requires upgrading opensaml-java-openws to version >= 1.5.0, see linked issue. I'm updating it now and hope that this does not break things. Normally I would not upgrade it.

Comment 20 David A. Cafaro 2015-06-16 13:17:34 UTC
Sorry, I thought you were back-porting the patch.  Though not a fan of a major version bump, assuming there isn't breakage, it's likely better than having the security issue that renders https untrusted in something that depends on it.

As a bonus, you previously mentioned WildFly depending on this package and possible breakage there, but this is the perfect time to patch/test WildFly as well since it also has an important security issue that needs patching (and you're tagged as the maintainer).  Sounds like perfect timing to fix both.

https://bugzilla.redhat.com/show_bug.cgi?id=1205373

Comment 21 Fedora Update System 2015-06-16 14:53:30 UTC
opensaml-java-openws-1.5.5-2.fc21,opensaml-java-2.5.3-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/opensaml-java-openws-1.5.5-2.fc21,opensaml-java-2.5.3-9.fc21

Comment 22 Fedora Update System 2015-06-16 14:53:40 UTC
opensaml-java-2.5.3-9.fc22,opensaml-java-openws-1.5.5-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opensaml-java-2.5.3-9.fc22,opensaml-java-openws-1.5.5-2.fc22

Comment 23 Fedora Update System 2015-06-21 00:00:52 UTC
Package opensaml-java-openws-1.5.5-2.fc21, opensaml-java-2.5.3-9.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing opensaml-java-openws-1.5.5-2.fc21 opensaml-java-2.5.3-9.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10175/opensaml-java-openws-1.5.5-2.fc21,opensaml-java-2.5.3-9.fc21
then log in and leave karma (feedback).

Comment 24 David A. Cafaro 2015-08-05 13:56:38 UTC
Can we move this to stable please?

Comment 25 Marek Goldmann 2015-08-06 07:39:49 UTC
Submitted, sorry for delay.

Comment 26 Fedora Update System 2015-08-07 13:04:28 UTC
opensaml-java-openws-1.5.5-2.fc21, opensaml-java-2.5.3-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2015-08-07 13:05:10 UTC
opensaml-java-2.5.3-9.fc22, opensaml-java-openws-1.5.5-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.